<mat-sidenav-container fullscreen>
  <mat-sidenav #sidenav mode="push">
    <mat-toolbar>
      <span>Menu</span>
    </mat-toolbar>

    <mat-nav-list>
      <a routerLink="./listado"
         mat-list-item
         (click)="sidenav.toggle()">
        <mat-icon mat-list-icon>label</mat-icon>
        <span>Listado Cursos</span>
      </a>
      <a routerLink="./buscar"
         mat-list-item
         (click)="sidenav.toggle()">
        <mat-icon mat-list-icon>search</mat-icon>
        <span>Buscar Curso</span>
      </a>
    </mat-nav-list>
  </mat-sidenav>

  <mat-toolbar>
    <button mat-icon-button
            (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>

    <span class="end"></span>

    <button mat-button>
      <span>Salir</span>
    </button>
  </mat-toolbar>

  <div class="container">
    <router-outlet></router-outlet>
  </div>

</mat-sidenav-container>
